PluXml 5.8.9 Gestion des commentaires

bg62bg62 Member
dans Bogues

re ... je viens de faire ma mise à jour et dans l'admin, page de gestion des commentaires:
plus RIEN sauf:

  • \www.unesourisetmoi.infoNEW\core\admin\comments.php(16) : eval()'d code on line 71
    et

  • Fatal error: Uncaught Error: Using $this when not in object context in G:\laragon\www\www.unesourisetmoi.infoNEW\core\admin\comments.php(135) : eval()'d code:19 Stack trace: #0 G:\laragon\www\www.unesourisetmoi.infoNEW\core\admin\comments.php(135): eval() #1 {main} thrown in G:\laragon\www\www.unesourisetmoi.infoNEW\core\admin\comments.php(135) : eval()'d code on line 19

???

Mots clés:

Réponses

  • bazooka07bazooka07 PluXml Project Manager

    Dans PluXml 5.8.9 les lignes 16 et 135 dans le fichier core/admin/comments.php correspondent aux appels des hooks "AdminCommentsPrepend" et "AdminCommentsTop" respectivement.
    Ces hooks sont déclenchés par un des plugins que tu as activé sur ton site.
    Il faut regarder les plugins qui ont des fonctions AdminCommentsPrepend() et AdminCommentsTop().

  • Bonjour,

    As tu un plugin pour tes commentaires en admin? Les messages indiquent des erreurs dans les script/plugins interprété par les hooks : AdminCommentsPrepend et AdminCommentsTop , probablement du a un plugin incompatible avec cette version de PluXml ou de la version de php qui tourne.

    ♣♣♣♣ <°(((((-{ ~ Mon site avec PluXml: https://re7net.com | Mes plugins : https://github.com/gcyrillus PluXml 5.8.7 sur free ? oui c'est possible : http://gcyrillus.free.fr/new }-))))°> ♣♣♣♣

  • bg62bg62 Member
    4 nov. modifié

    ok, je vais donc télécharger toutes les mises à jour disponibles des plugins, tout désinstaller, puis réinstaller et je vous tiens au courant
    ( version de php qui tourne actuellement - en local - : PHP Version 7.4.19 )

    pour la liste des plugins actuellement en service voicila liste de ceux qui tournent et dont il me faut retrouver la dernière version "à jour + compatible"....:
    ( Si vous avez les liens vers les dernières versions = TOP ! )
    artGalerie
    AutoSave >>>> utile vraiment ou ???
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[AutoSave]]>
    <![CDATA[Rockyhorror, Cyril MAGUIRE]]>
    0.6
    17/07/2015
    http://thepoulpe.net
    <![CDATA[Plugin sauvegardant automatiquement les articles et les pages statiques lors de leur rédaction]]>

    Blogroll >>> pas trouvé ?
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[Blogroll]]>
    <![CDATA[Rockyhorror]]>
    0.8
    26/07/2015
    http://thepoulpe.net
    <![CDATA[blogroll]]>

    filAriane >>> que je ne trouve plus en ligne
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[filAriane]]>
    <![CDATA[DanielSan]]>
    1.1
    21/01/2012
    http://www.samare.net
    <![CDATA[Ajoute le chemin de navigation]]>

    jquery >>>> ou se trouve la dernière version ?
    j'ai celle-ci
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[jQuery 1.4.4]]>
    <![CDATA[Stéphane F.]]>
    1.7.1
    24/12/2011
    http://pluxml.org
    <![CDATA[Ajoute jQuery 1.7.1 à votre PluXml]]>

    ModerationList pas retrouvée
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[ModerationList]]>
    <![CDATA[Jormun]]>
    6
    30/08/2015

    <![CDATA[Gestion des commentaires : liste blanche et liste noire.]]>

    plxeditor
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[plxEditor]]>
    <![CDATA[Stéphane F.]]>
    1.4.1
    18/11/2015
    http://pluxml.org
    <![CDATA[plxEditor wysiwyg editor]]>

    plxMyAllArchive
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[MyAllArchive]]>
    <![CDATA[Stephane F.]]>
    1.7.2
    02/09/2015
    http://pluxopolis.net
    <![CDATA[Affiche la liste des archives suivant différents critères]]>

    plxMyAutoMetaDescription
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[plxMyAutoMetaDescription]]>
    <![CDATA[Stéphane F.]]>
    1.1
    05/09/2013
    http://pluxopolis.net
    <![CDATA[Auto Meta Description]]>

    plxMyContact
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[MyContact]]>
    <![CDATA[Stephane F.]]>
    1.7
    20/07/2015
    http://pluxopolis.net
    <![CDATA[Ajoute une page de contact à votre PluXml]]>

    plxMySearch
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[MySearch]]>
    <![CDATA[Stephane F.]]>
    1.5.3
    13/05/2015
    http://pluxopolis.net
    <![CDATA[Moteur de recherche dans les articles et les pages statiques]]>

    plxResponsiveSlidesJs
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[plxResponsiveSlidesJs]]>
    <![CDATA[Thomas I.]]>
    1.0
    13/10/2013
    http://www.sudwebdesign.fr/
    <![CDATA[Diaporama simple,leger & Responsive (responsiveslides.com)]]>

    plxShareSocialButtons
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[ShareSocialButtons]]>
    <![CDATA[DPFPIC]]>
    1.0.2
    23/07/2016
    http://dpfpic.com
    <![CDATA[Affiche les boutons sociaux Google+, Facebook, Twitter, LinkedIn etc...]]>

    plxSocialMeta
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[plxSocialMeta]]>
    <![CDATA[Petitchevalroux]]>
    0.0.1
    19/11/2014
    https://github.com/petitchevalroux/plxSocialMeta
    <![CDATA[Ajoute les balises meta opengraph (Facebook), schema.org (Google Plus), Twittercard (Twitter) sur les articles.]]>

    prevNext
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[prevNext]]>
    <![CDATA[Cyril Maguire]]>
    1.0
    19/01/2014
    http://www.ecyseo.net
    <![CDATA[Plugin pour afficher des liens article précédent/ article suivant au pied des articles]]>

    RSSroll
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[RSSroll w/ favicons]]>
    <![CDATA[i M@N]]>
    1.1
    12/04/2013
    http://imanweb.free.fr/PluXML/
    <![CDATA[RSSroll w/ favicons based on Rockyhorror Blogroll 0.5]]>

    scrollToTop
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[scrollToTop]]>
    <![CDATA[Patrice Blondel, Cyril MAGUIRE]]>
    1.0
    22/01/2012
    http://www.ecyseo.com/
    <![CDATA[Permet d'afficher un lien vers le haut de page qui s'affiche dynamiquement que lorsqu'on est descendu en bas de page]]>

    simplepie ???
    WDD_BanComment
    <?xml version="1.0" encoding="UTF-8"?>

    <![CDATA[WDD_BanComment]]>
    <![CDATA[bronco@warriordudimanche.net]]>
    1.1
    11/07/2015
    http://warriordudimanche.net
    <![CDATA[Empêcher les commentaires en bloquant certains mots dans le nom/adresse/email/ip]]>

    je cherche donc les nouvelles versions sur:
    https://ressources.pluxopolis.net/banque-plugins/
    https://ressources.pluxml.org/plugins
    https://kazimentou.fr/repo/index.php

    mais tous les plugins de s'y trouvent pas, tous les plugins ne sont pas forcément dans la même version ou ne sont pas forcément à jour ....... ???

Connectez-vous ou Inscrivez-vous pour répondre.